Bug 1821746 - Review Request: golang-github-gobwas-ws - Tiny WebSocket library
Summary: Review Request: golang-github-gobwas-ws - Tiny WebSocket library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1821722 1821724
Blocks: 1822142
TreeView+ depends on / blocked
 
Reported: 2020-04-07 13:59 UTC by Fabian Affolter
Modified: 2020-09-25 17:46 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-08-23 11:52:29 UTC
Type: ---
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Fabian Affolter 2020-04-07 13:59:25 UTC
Spec URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-gobwas-ws.spec
SRPM URL: https://fab.fedorapeople.org/packages/SRPMS/golang-github-gobwas-ws-1.0.3-1.fc31.src.rpm

Project URL: https://github.com/gobwas/ws

Description:
Tiny WebSocket library for Go.

Koji scratch build:
fails due to missing dependencies

rpmlint output:
$ rpmlint golang-github-gobwas-ws-1.0.3-1.fc31.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint golang-github-gobwas-ws-devel-1.0.3-1.fc31.noarch.rpm 
golang-github-gobwas-ws-devel.noarch: W: hidden-file-or-dir /usr/share/gocode/src/github.com/gobwas/ws/.goipath
golang-github-gobwas-ws-devel.noarch: E: zero-length /usr/share/gocode/src/github.com/gobwas/ws/server_test.s
1 packages and 0 specfiles checked; 1 errors, 1 warnings.

Fedora Account System Username: fab

Comment 1 Robert-André Mauchin 🐧 2020-06-20 19:56:28 UTC
 - License ok
 - Latest version packaged
 - Builds in mock
 - No rpmlint errors
 - Conforms to Packaging Guidelines

Package approved.

Comment 2 Fabian Affolter 2020-06-20 20:24:01 UTC
Thanks for the review.

Comment 3 Igor Raits 2020-06-21 05:20:53 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-gobwas-ws

Comment 4 Elliott Sales de Andrade 2020-08-18 22:11:03 UTC
Are you going to finish importing this? It's needed for chromedp.

Comment 5 Fedora Update System 2020-09-17 10:28:57 UTC
FEDORA-2020-71c410f165 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-71c410f165

Comment 6 Fedora Update System 2020-09-17 10:29:04 UTC
FEDORA-2020-df3d194a14 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-df3d194a14

Comment 7 Fedora Update System 2020-09-17 10:29:12 UTC
FEDORA-2020-b313edba5f has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-b313edba5f

Comment 8 Fedora Update System 2020-09-17 15:04:50 UTC
FEDORA-2020-b313edba5f has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-b313edba5f \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-b313edba5f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-09-17 15:11:36 UTC
FEDORA-2020-71c410f165 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-71c410f165 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-71c410f165

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-09-17 17:56:32 UTC
FEDORA-2020-df3d194a14 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf install --enablerepo=updates-testing --advisory=FEDORA-2020-df3d194a14 \*`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-df3d194a14

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-09-25 17:00:12 UTC
FEDORA-2020-df3d194a14 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-09-25 17:35:48 UTC
FEDORA-2020-b313edba5f has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-09-25 17:46:30 UTC
FEDORA-2020-71c410f165 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.